<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++ Members: Show All Members: Filtered Members: Filtered Members: Filtered

Berkeley DB .NET API Documentation
CompactConfig Properties
CompactConfig Class See Also Send Feedback

The CompactConfig type exposes the following members.

# Properties

| Name | Description
--- | --- | ---
| FillPercentage | If non-zero, this provides the goal for filling pages, specified as a percentage between 1 and 100. Any page not at or above this percentage full will be considered for compaction. The default behavior is to consider every page for compaction, regardless of its page fill percentage.
| Pages | If non-zero, compaction will complete after the specified number of pages have been freed.
| Timeout | If non-zero, and no Transaction is specified, this parameter identifies the lock timeout used for implicit transactions, in microseconds.

# See Also

CompactConfig Class
BerkeleyDB Namespace